<?php
/*
	Name: Thesis Logo Box	
	Author: wpthesisskins.com
	Version: 1.0
	Description: Logo Box for Thesis Theme 2.0.
	Class: thesis_logo_box
*/


class thesis_logo_box extends thesis_box {
	
	protected function translate() {
		$this->title = __('Thesis Logo Box', 'thesis');
	}
	
	protected function construct() {
		wp_enqueue_style('thesis-logo-box-stylenew44', THESIS_USER_BOXES_URL . "/thesis-logo-box/css/style.css");
	}
	
	protected function options() {
		global $thesis;
		return array(
			'logo1check' => array(

				'type' => 'checkbox',

					'label' => __('Display logo', 'thesis'),

					'options' => array(

						'logo1checktext' => __('Click here to enable logo on site', 'thesis'),

					),

					'default' => array(

						'logo1checktext' => false,

						'html'	=> ''

					)

				),
			'logourl' => array(
				'type' => 'text',
				'width' => 'long',
				'label' => __('Paste your logo url path', 'thesis'),
				'tooltip' => sprintf(__('Enter logo url here...', 'thesis')),
				'default' => ''
				),
			'logoclass' => array(
				'type' => 'text',
				'width' => 'medium',
				'label' => __('Class Name', 'thesis'),
				'tooltip' => sprintf(__('Enter title tag class name', 'thesis')),
				'default' => 'site_logo_class'
				),
			'logoid' => array(
				'type' => 'text',
				'width' => 'medium',
				'label' => __('Id Name', 'thesis'),
				'tooltip' => sprintf(__('Enter title tag id name', 'thesis')),
				'default' => ''
				),
			);
	}
	

 

	public function html() {
		global $thesis;
		// get options
		
		$options = $thesis->api->get_options($this->options(), $this->options);
		
		$logo .= '<div class="site_logo_class" id="'.$options['logoid'].'">';
		
		if($options['logo1check']){
			$logo .= '<a href=" '.esc_url(get_bloginfo('url')).'"><img src="'.$this->options['logourl'].'" alt="logourl"/></a>';?>
			<link rel="stylesheet" href=" <?php echo THESIS_USER_BOXES_URL;?>/thesis-logo-titlebox/css/site.css" /><?php
		}
		
		
		if ( $options['html'] ) {

			$logo .= stripslashes ($options['html']);

		}
		
		
		$logo .= '</div>';
		echo $logo;
		
	}
}?>